package com.hamburg.stu.controller;

import com.hamburg.common.domain.Stu;
import com.hamburg.common.domain.response.StuResp;
import com.hamburg.common.result.Result;
import com.hamburg.stu.service.StuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.hamburg.stu.controller
 * @Project：88rk
 * @name：StuController
 * @Date：2024/8/8 8:52
 */
@RestController
@RequestMapping("/stu")
public class StuController {

    @Autowired
    private StuService stuService;


    /**
     * 获取所有学生
     */
    @GetMapping("/stuList")
    public Result<List<Stu>> stuList() {

        List<Stu> list=stuService.stuList();

        return Result.success(list);


    }

    /**
     * 姓名和平均成绩
     * @return
     */
    @GetMapping("/avgScore")
    public Result<List<StuResp>> avgScore() {

        List<StuResp> list=stuService.avgScore();

        return Result.success(list);

    }

}
